Skip to content
Get started

Update

client.teams.webhookEndpoints.update(stringwebhookEndpointID, WebhookEndpointUpdateParams { teamId, description, enabled, 2 more } params, RequestOptionsoptions?): WebhookEndpointUpdateResponse { webhookEndpoint }
PUT/teams/{teamId}/webhook-endpoints/{webhookEndpointId}

Update a particular webhook endpoint for a team

ParametersExpand Collapse
webhookEndpointID: string
params: WebhookEndpointUpdateParams { teamId, description, enabled, 2 more }
teamId: string

Path param: The team Id

description?: string

Body param: A description of the webhook endpoint

enabled?: boolean

Body param: Whether the webhook is enabled

enabledEvents?: Array<"*" | "asset.download.completed" | "asset.download.created" | 16 more>

Body param: The events that trigger the webhook. [’*’] indicates that all events are enabled

One of the following:
"*"
"asset.download.completed"
"asset.download.created"
"asset.download.failed"
"generation.completed"
"generation.created"
"generation.failed"
"inference.cancelled"
"inference.completed"
"inference.created"
"inference.failed"
"model.download.completed"
"model.download.created"
"model.download.failed"
"model.training.cancelled"
"model.training.completed"
"model.training.failed"
"model.training.started"
"team.credit.threshold.crossed"
url?: string

Body param: The URL of the webhook endpoint. Must be an absolute http(s) URL

ReturnsExpand Collapse
WebhookEndpointUpdateResponse { webhookEndpoint }
webhookEndpoint: WebhookEndpoint { id, createdAt, enabled, 8 more }
id: string

The ID of the webhook endpoint

createdAt: string

The date and time the webhook endpoint was created

enabled: boolean

Whether the webhook is enabled

enabledEvents: Array<"*" | "asset.download.completed" | "asset.download.created" | 16 more>

The events that trigger the webhook. [’*’] indicates that all events are enabled

One of the following:
"*"
"asset.download.completed"
"asset.download.created"
"asset.download.failed"
"generation.completed"
"generation.created"
"generation.failed"
"inference.cancelled"
"inference.completed"
"inference.created"
"inference.failed"
"model.download.completed"
"model.download.created"
"model.download.failed"
"model.training.cancelled"
"model.training.completed"
"model.training.failed"
"model.training.started"
"team.credit.threshold.crossed"
nbFailedCalls: number

The number of calls to the webhook endpoint that have failed

nbTotalCalls: number

The number of calls to the webhook endpoint

ownerId: string

The ID of the owner of the webhook endpoint: a project id for job lifecycle events, a team id for alert events

ownerType: "project" | "team"

Whether the owner is a project or a team. Required to tell them apart: a project created before the team/project split shares its team’s id

One of the following:
"project"
"team"
updatedAt: string

The date and time the webhook endpoint was updated

url: string

The URL of the webhook endpoint

description?: string

A description of the webhook endpoint

Update

import Scenario from '@scenario-labs/sdk';

const client = new Scenario({
  apiKey: process.env['SCENARIO_SDK_API_KEY'], // This is the default and can be omitted
  apiSecret: process.env['SCENARIO_SDK_API_SECRET'], // This is the default and can be omitted
});

const webhookEndpoint = await client.teams.webhookEndpoints.update('webhookEndpointId', {
  teamId: 'teamId',
});

console.log(webhookEndpoint.webhookEndpoint);
{
  "webhookEndpoint": {
    "id": "id",
    "createdAt": "createdAt",
    "enabled": true,
    "enabledEvents": [
      "*"
    ],
    "nbFailedCalls": 0,
    "nbTotalCalls": 0,
    "ownerId": "ownerId",
    "ownerType": "project",
    "updatedAt": "updatedAt",
    "url": "url",
    "description": "description"
  }
}
Returns Examples
{
  "webhookEndpoint": {
    "id": "id",
    "createdAt": "createdAt",
    "enabled": true,
    "enabledEvents": [
      "*"
    ],
    "nbFailedCalls": 0,
    "nbTotalCalls": 0,
    "ownerId": "ownerId",
    "ownerType": "project",
    "updatedAt": "updatedAt",
    "url": "url",
    "description": "description"
  }
}